WireguardGateways

Operations to create and manage WireGuard VPN Gateways.

This tag groups all operations for wireguardgateways.

Retrieve all WireguardGateways

get
/wireguardgateways

This endpoint enables retrieving all WireguardGateways using pagination and optional filters.

Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Query parameters
offsetinteger · int32Optional

The first element (of the total list of elements) to include in the response. Use together with limit for pagination.

Default: 0Example: 0
limitinteger · int32 · min: 1 · max: 1000Optional

The maximum number of elements to return. Use together with offset for pagination.

Default: 100Example: 100
Responses
chevron-right
200

Returned all requested WireguardGateways successfully.

application/json

Pagination information. The offset and limit parameters are used to navigate the list of elements. The _links object contains URLs to navigate the different pages.

idstring · uuidRequired

ID of the list of WireguardGateway resources.

Example: 55871672-381f-589c-8809-4ffbecd8b27c
typestring · enumRequired

The type of the resource.

Possible values:
hrefstringRequired

The URL of the list of WireguardGateway resources.

Example: /wireguardgateways
offsetintegerRead-onlyRequired

The offset specified in the request (if none was specified, the default offset is 0).

Example: 0
limitintegerRead-onlyRequired

The limit specified in the request (if none was specified, use the endpoint's default pagination limit).

Example: 42
get
/wireguardgateways

Create WireguardGateway

post
/wireguardgateways

Creates a new WireguardGateway.

The full WireguardGateway needs to be provided to create the object. Optional data will be filled with defaults or left empty.

Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Body
metadataanyOptional

Metadata

Responses
post
/wireguardgateways

Retrieve WireguardGateway

get
/wireguardgateways/{gatewayId}

Returns the WireguardGateway by ID.

Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Path parameters
gatewayIdstring · uuidRequired

The ID (UUID) of the WireguardGateway.

Example: 85c79b4b-5b40-570a-b788-58dd46ea71e2
Responses
chevron-right
200

Getting WireguardGateway was successful.

application/json
idstring · uuidRequired

The ID (UUID) of the WireguardGateway.

Example: 85c79b4b-5b40-570a-b788-58dd46ea71e2
typestring · enumRequired

The type of the resource.

Possible values:
hrefstringRequired

The URL of the WireguardGateway.

Example: /wireguardgateways/85c79b4b-5b40-570a-b788-58dd46ea71e2
get
/wireguardgateways/{gatewayId}

Ensure WireguardGateway

put
/wireguardgateways/{gatewayId}

Ensures that the WireguardGateway with the provided ID is created or modified. The full WireguardGateway needs to be provided to ensure (either update or create) the WireguardGateway. Non present data will only be filled with defaults or left empty, but not take previous values into consideration.

Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Path parameters
gatewayIdstring · uuidRequired

The ID (UUID) of the WireguardGateway.

Example: 85c79b4b-5b40-570a-b788-58dd46ea71e2
Body
idstring · uuidRequired

The ID (UUID) of the WireguardGateway.

Example: 85c79b4b-5b40-570a-b788-58dd46ea71e2
metadataanyOptional

Metadata

Responses
chevron-right
200

WireguardGateway successfully updated.

application/json
idstring · uuidRequired

The ID (UUID) of the WireguardGateway.

Example: 85c79b4b-5b40-570a-b788-58dd46ea71e2
typestring · enumRequired

The type of the resource.

Possible values:
hrefstringRequired

The URL of the WireguardGateway.

Example: /wireguardgateways/85c79b4b-5b40-570a-b788-58dd46ea71e2
put
/wireguardgateways/{gatewayId}

Delete WireguardGateway

delete
/wireguardgateways/{gatewayId}

Deletes the specified WireguardGateway.

Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Path parameters
gatewayIdstring · uuidRequired

The ID (UUID) of the WireguardGateway.

Example: 85c79b4b-5b40-570a-b788-58dd46ea71e2
Responses
delete
/wireguardgateways/{gatewayId}

No content

Last updated

Was this helpful?